Get an asset by ID
curl --request GET \
--url https://api.argil.ai/v1/assets/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.argil.ai/v1/assets/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.argil.ai/v1/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.argil.ai/v1/assets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.argil.ai/v1/assets/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.argil.ai/v1/assets/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.argil.ai/v1/assets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "AUDIO",
"status": "PROCESSING",
"fileUrl": "<string>",
"thumbnailUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>"
}Assets
Get Asset
Get an asset by ID with its current processing status
GET
/
assets
/
{id}
Get an asset by ID
curl --request GET \
--url https://api.argil.ai/v1/assets/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.argil.ai/v1/assets/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.argil.ai/v1/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.argil.ai/v1/assets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.argil.ai/v1/assets/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.argil.ai/v1/assets/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.argil.ai/v1/assets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "AUDIO",
"status": "PROCESSING",
"fileUrl": "<string>",
"thumbnailUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>"
}Returns an asset with its current processing status and metadata. Use this endpoint to poll for processing completion after uploading an asset.
Status Lifecycle
POST /assets → PROCESSING → READY (or FAILED)
| Status | Description |
|---|---|
PROCESSING | Asset is being downloaded and processed |
READY | Asset is ready to use as B-roll |
FAILED | Processing failed — upload a new asset |
Authorizations
API key to be included in the x-api-key header
Path Parameters
The ID of the asset to retrieve
Response
Asset details
Available options:
AUDIO, IMAGE, VIDEO Processing status. Poll until READY before using as B-roll.
Available options:
PROCESSING, READY, FAILED URL to access the asset. Null while processing.
URL to a thumbnail image. Null while processing.
Was this page helpful?
